// Package declaration 
package org.enableit.db; 

/*
 * PROJECT			: __PROJECT_NAME__
 *
 * COPYRIGHT        : Copyright (C) 2000 enableIT.org
 *
 * Change History:
 * -------------------------------------------------------------------
 * $Log$
 * Initial creation
 *
 */
 
// Imports

/**  
 * Represent a database column.
 * 
 * @version v1.3
 * 
 * @author __AUTHOR__ 
 * 
 */
public class Column
{

/*
 * Constructors
 */
	/** 
	 * Default Constructor
	 */
	public Column()
	{

	}

	/** 
	 * Constructor that sets the column's name. 
	 */
	public Column(String name)
	{
        this.name = name ; 
	}

	/** 
	 * Constructor that sets the column's name and datatype. 
	 */
	public Column(String name, String datatype)
	{
        this.name = name ; 
        this.datatype = datatype ; 
	}


/*
 * Mutator Methods
 */

    /**  
     * Set the column's datatype.
     */
    public void setDatatype(String datatype) 
    { 
        this.datatype = datatype ; 
    } 

/*
 * Accessor methods 
 */
    /**  
     * Return the column's name.
     */
    public String getName() 
    { 
        return this.name ; 
    } 
    
    /**  
     * Return the column's name.
     */
    public String getDatatype() 
    { 
        return this.datatype ; 
    } 

/*
 * Properties
 */

    /**  
     * The column name.
     */
    private String name ; 

    /**  
     * The column datatype.
     */
    private String datatype ; 

    /**  
	 * CVS info about this class and its current version
	 */
	public static final String about = "$Id$" ;

}
